******************************** del_it *********************************
* This program accepts the deletion criteria as a parameter, then 
* deletes files according to your specifications. When using this program
* you may use absolute paths or relative paths in your file skeletons. 
*************************************************************************
*                         *** CALLING SYNTAX ***
*
* To use this program in your application just call it from a screen,
* program or menu with the following syntax....
*
*                      =del_it("<file skeleton>")
*  
*                                  OR
* 
*                    DO del_it WITH "<file skeleton>" 
* 
*************************************************************************
*                            *** EXAMPLE ***
*
* If you have a directory called C:\CUSTOMER and you wish to delete all 
* the files with a *.bak extension you can do so without tasking out 
* to Dos by calling this program and passing it a parameter of ...
* C:\CUSTOMER\*.BAK ...
*
*                      =del_it("C:\CUSTOMER\*.BAK")
*  
*                                  OR
* 
*                    DO del_it WITH "C:\CUSTOMER\*.BAK" 
*
*************************************************************************
*                          *** MAINTENANCE ***
*
* NAME                     INIT DATE     DESCRIPTION 
* ------------------------ ---- -------- --------------------------------
* FRANK PUNZO              FJP  02/06/95 INITIAL RELEASE
* 
*************************************************************************
PARAMETERS tcFileSkel
PRIVATE ALL LIKE j*
   
   	IF TYPE("tcFileSkel") # "C"
      	WAIT WINDOW 'You must pass a file or a file skeleton'+CHR(13)+ ;
                    'Like "*.*" or "C:\CLIENTS\DOCS\*.WRI"'
      	RETURN
   	ENDIF

	SET TALK WINDOW            && Needed in dos to disable screen writes
	
	jcTalkSet = SET("TALK")    && Get values of TALK and SAFETY
	jcSafeSet = SET("SAFE")
	
	SET TALK OFF               && Disable screen echo and deletion 
   	SET SAFETY OFF             && confirmation

   	jcCurrFile=SYS(2000,tcFileSkel)   && Store 1st filename to variable
   	DO WHILE LEN(jcCurrFile) > 0     

		jcWithPath = getpath(tcFileSkel)+jcCurrFile   && Append filename 
		                                              && to path 
    	DELETE FILE (jcWithPath)                      
      	jcCurrFile=SYS(2000,tcFileSkel,1)    && Store next filename to 
      	                                     && variable

   	ENDDO

	SET SAFETY &jcSafeSet          && Reset TALK and SAFETY to their 
	SET TALK &jcTalkSet            && original settings

RETURN

******************************** getpath ********************************
* This program accepts the full path to a file or a file skeleton and 
* returns the path without the filename or the skeleton.
*************************************************************************
*                         *** CALLING SYNTAX ***
*
* To use this program in your application just call it from a screen,
* program or menu with the following syntax....
*
*                       variable = getpath("<file>")
*
*                                   OR
*
*                   variable = getpath("<file skeleton>")
* 
*************************************************************************
*                            *** EXAMPLE ***
*
* If you want to return the path of a file named "C:\CONTACTS\ADDRESS.DBF"
* you can do so by call this program and passing it a parameter of ...
* C:\CONTACTS\ADDRESS.DBF ...
*
*                addrpath = getpath("C:\CONTACTS\ADDRESS.DBF")
*  
*************************************************************************
*                          *** MAINTENANCE ***
*
* NAME                     INIT DATE     DESCRIPTION 
* ------------------------ ---- -------- --------------------------------
* FRANK PUNZO              FJP  10/17/93 Initial Release
* 
* FRANK PUNZO              FJP  02/06/95 Converted the getpath.prg file
*                                        to a function in this program so
*                                        external programs won't need to 
*                                        be called.
*                            
*************************************************************************
FUNCTION getpath
PARAMETERS tcFileSpec
PRIVATE ALL LIKE j*

   	IF TYPE("tcFileSpec") # "C"
      	WAIT WINDOW 'You must pass a file or a file skeleton'+CHR(13)+ ;
                  'Such as "C:\CLIENT\DOCS\TEST.DOC"'
      	RETURN
   	ENDIF

	tcFileSpec = ALLTRIM(tcFileSpec)
   	
   	IF !("\" $ tcFileSpec)           && Did user specify a path?
   		jcRetVal = ""
   	ELSE
		jcRetVal = SUBSTR(tcFileSpec,1,RAT("\",tcFileSpec))
	ENDIF
	
RETURN jcRetVal